openvswitch 1.4.6 is not compatible with the 3.11 saucy HWE kernel

Bug #1262225 reported by James Page on 2013-12-18
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
openvswitch (Ubuntu)
High
James Page
Precise
High
James Page
openvswitch-lts-saucy (Ubuntu)
Undecided
Unassigned
Precise
High
James Page

Bug Description

As we did for the raring kernel, a -lts-saucy source and dkms package will be provided for use with this kernel.

Changed in openvswitch (Ubuntu):
importance: Undecided → High
James Page (james-page) on 2013-12-19
Changed in openvswitch (Ubuntu):
assignee: nobody → James Page (james-page)
status: New → Triaged
status: Triaged → Invalid
Changed in openvswitch (Ubuntu Precise):
importance: Undecided → High
status: New → Triaged
assignee: nobody → James Page (james-page)
James Page (james-page) wrote :

@ubuntu-sru

I've uploaded a new source package - openvswitch-lts-saucy - to saucy-proposed

Please can this be reviewed and accepted so we can unbreak openvswitch with this kernel

Thanks

James Page (james-page) wrote :

that should of said 'precise-proposed' of course

James Page (james-page) on 2014-03-04
Changed in openvswitch-lts-saucy (Ubuntu Precise):
status: New → In Progress
importance: Undecided → High
assignee: nobody → James Page (james-page)
Changed in openvswitch-lts-saucy (Ubuntu):
status: New → Invalid
Changed in openvswitch (Ubuntu Precise):
status: Triaged → Won't Fix
James Page (james-page) on 2014-03-04
tags: added: verfication-needed
tags: added: verification-needed
removed: verfication-needed
Dave Walker (davewalker) wrote :

Hello James, or anyone else affected,

Accepted into precise-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in openvswitch-lts-saucy (Ubuntu Precise):
status: In Progress → Fix Committed
James Page (james-page) wrote :

ubuntu@juju-jamespage-machine-21:~/openvswitch-lts-saucy-1.10.2/debian/tests$ sudo ./openflow
 * Stopping ovs-controller ovs-controller
   ...done.
INFO:root:Creating controllers
INFO:root:Creating switches
INFO:root:Creating hosts (7 on each switch)
INFO:root:Creating links
INFO:root:Starting network
INFO:root:Running TCP performance test
*** Iperf: testing TCP bandwidth between h1 and h14
waiting for iperf to start up...*** Results: ['8.76 Gbits/sec', '8.77 Gbits/sec']
INFO:root:Stopping network
.INFO:root:Creating controllers
INFO:root:Creating switches
INFO:root:Creating hosts (7 on each switch)
INFO:root:Creating links
INFO:root:Starting network
INFO:root:Running UDP performance test
*** Iperf: testing UDP bandwidth between h1 and h14
*** Results: ['10M', '10.0 Mbits/sec', '10.0 Mbits/sec']
INFO:root:Stopping network
.INFO:root:Creating controllers
INFO:root:Creating switches
INFO:root:Creating hosts (7 on each switch)
INFO:root:Creating links
INFO:root:Starting network
INFO:root:Testing network
*** Ping: testing ping reachability
h1 -> h2 h3 h4 h5 h6 h7 h8 h9 h10 h11 h12 h13 h14
h2 -> h1 h3 h4 h5 h6 h7 h8 h9 h10 h11 h12 h13 h14
h3 -> h1 h2 h4 h5 h6 h7 h8 h9 h10 h11 h12 h13 h14
h4 -> h1 h2 h3 h5 h6 h7 h8 h9 h10 h11 h12 h13 h14
h5 -> h1 h2 h3 h4 h6 h7 h8 h9 h10 h11 h12 h13 h14
h6 -> h1 h2 h3 h4 h5 h7 h8 h9 h10 h11 h12 h13 h14
h7 -> h1 h2 h3 h4 h5 h6 h8 h9 h10 h11 h12 h13 h14
h8 -> h1 h2 h3 h4 h5 h6 h7 h9 h10 h11 h12 h13 h14
h9 -> h1 h2 h3 h4 h5 h6 h7 h8 h10 h11 h12 h13 h14
h10 -> h1 h2 h3 h4 h5 h6 h7 h8 h9 h11 h12 h13 h14
h11 -> h1 h2 h3 h4 h5 h6 h7 h8 h9 h10 h12 h13 h14
h12 -> h1 h2 h3 h4 h5 h6 h7 h8 h9 h10 h11 h13 h14
h13 -> h1 h2 h3 h4 h5 h6 h7 h8 h9 h10 h11 h12 h14
h14 -> h1 h2 h3 h4 h5 h6 h7 h8 h9 h10 h11 h12 h13
*** Results: 0% dropped (0/182 lost)
INFO:root:Stopping network
.
----------------------------------------------------------------------
Ran 3 tests in 16.093s

OK
ubuntu@juju-jamespage-machine-21:~/openvswitch-lts-saucy-1.10.2/debian/tests$ dmesg | grep datapath
[ 219.855329] openvswitch: Open vSwitch switching datapath 1.10.2, built Apr 4 2014 13:57:18
ubuntu@juju-jamespage-machine-21:~/openvswitch-lts-saucy-1.10.2/debian/tests$ uname -a
Linux juju-jamespage-machine-21 3.11.0-19-generic #33~precise1-Ubuntu SMP Wed Mar 12 21:16:27 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
ubuntu@juju-jamespage-machine-21:~/openvswitch-lts-saucy-1.10.2/debian/tests$ apt-cache policy openvswitch-datapath-lts-saucy-dkms
openvswitch-datapath-lts-saucy-dkms:
  Installed: 1.10.2-0ubuntu2~ubuntu12.04.1
  Candidate: 1.10.2-0ubuntu2~ubuntu12.04.1
  Version table:
 *** 1.10.2-0ubuntu2~ubuntu12.04.1 0
        500 http://archive.ubuntu.com/ubuntu/ precise-proposed/universe amd64 Packages
        100 /var/lib/dpkg/status

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openvswitch-lts-saucy - 1.10.2-0ubuntu2~ubuntu12.04.1

---------------
openvswitch-lts-saucy (1.10.2-0ubuntu2~ubuntu12.04.1) precise; urgency=medium

  * Backport of 1.10.2 DKMS packages to Ubuntu 12.04 to support Linux 3.11
    LTS hardware enablement kernel (LP: #1262225):
    - d/control: Drop all packages apart from -source and -dkms, add lts-saucy
      identify to source and binary packages.
    - d/p/rename-packages-lts-saucy.patch: Patch upstream Makefile to use
      lts-saucy for dkms and source packages.
    - d/rules,*: Rework for new lts-saucy naming.
    - d/tests/ma,dkms: Update for new lts-saucy naming.
    - d/tests/control: Disable openflow test as mininet post-dates 12.04.
 -- James Page <email address hidden> Wed, 18 Dec 2013 14:07:51 +0000

Changed in openvswitch-lts-saucy (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for openvswitch-lts-saucy has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers